# $Revision: 1.4 $, $Date: 2005/11/17 03:09:08 $
Summary:	A userspace library to the in-kernel connection tracking state table
Summary(pl):	Biblioteka przestrzeni uytkownika do tabeli stanw ledzenia pocze w jdrze
Name:		libnetfilter_conntrack
Version:	0.0.28
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	ftp://ftp.netfilter.org/pub/libnetfilter_conntrack/%{name}-%{version}.tar.bz2
# Source0-md5:	2e64ceb5625d518882c52c37721295bb
URL:		http://www.netfilter.org/projects/libnetfilter_conntrack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libnfnetlink-devel
Requires:	libnfnetlink
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table.

Main features:
- listing/retrieving entries from the kernel connection tracking table
- inserting/modifying/deleting entries from the kernel connection
  tracking table
- listing/retrieving entries from the kernel expect table
- inserting/modifying/deleting entries from the kernel expect table

%description -l pl
libnetfilter_conntrack to biblioteka przestrzeni uytkownika
udostpniajca interfejs programistyczny (API) do tabeli stanw
ledzenia pocze w jdrze.

Gwne moliwoci:
- lista/pobieranie wpisw z tabeli ledzenia pocze jdra
- wstawianie/modyfikowanie/usuwanie wpisw z tabeli ledzenia pocze
  jdra
- lista/odtwarzanie wpisw z tabeli oczekiwania jdra
- wstawianie/modyfikowanie/usuwanie wpisw z tabeli oczekiwania jdra

%package devel
Summary:	Header files for libnetfilter_conntrack library
Summary(pl):	Pliki nagwkowe biblioteki libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libnfnetlink-devel

%description devel
Header files for libnetfilter_conntrack library.

%description devel -l pl
Pliki nagwkowe biblioteki libnetfilter_conntrack.

%package static
Summary:	Static libnetfilter_conntrack library
Summary(pl):	Statyczna biblioteka libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnetfilter_conntrack library.

%description static -l pl
Statyczna biblioteka libnetfilter_conntrack.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/nfct_proto_*-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/%{name}/nfct_proto_*.so
%exclude %{_libdir}/%{name}/nfct_proto_*-*.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnetfilter_conntrack.spec,v $
Revision 1.4  2005/11/17 03:09:08  pluto
- updated to 0.0.28.
  `modprobe ip_conntrack_netlink` is required for proper work.

Revision 1.3  2005/11/16 22:01:18  qboosh
- pl, files cleanup, no @kernel_ver in release

Revision 1.2  2005/11/16 13:28:25  pluto
- url.

Revision 1.1  2005/11/16 13:26:39  pluto
- a userspace library providing a programming interface (API)
  to the in-kernel connection tracking state table.
- nfy...
